var player = {
    x: 0,
    y: 0,
    turn: 0, // adjust rotation
    rotation: 0, // current rotation
    rotRad: 2 * Math.PI / 180, // rotation steps
    direction: 0, // 1 forward, 0 still or -1 backwards
    speed: 2, // how far to move if direction !== 0
    mapRadius: 3, // draw radius on map
    radius: 15, // radius of player in game world
    weapons: null, // or wands and spells
    animate: function(){
        this.rotation += this.turn * this.rotRad; // new direction
        this.rotation = only360(this.rotation);
        let howFar = this.direction * this.speed; // move this far
        let newx = this.x + Math.cos(this.rotation) * howFar;
        let newy = this.y + Math.sin(this.rotation) * howFar;
        if(!Game.map.isWall(newx, newy)){
            this.x = newx;
            this.y = newy;
        }
        Game.map.showPlayer(this);
    }
};